From 1295941def76eff9b9a97393165a83e63252158a Mon Sep 17 00:00:00 2001
From: Mike Palmiotto <mike.palmiotto@crunchydata.com>
Date: Wed, 4 Mar 2020 01:58:02 +0000
Subject: [PATCH 03/11] Rearrange subprocess.c headers

---
 src/backend/postmaster/subprocess.c | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

diff --git a/src/backend/postmaster/subprocess.c b/src/backend/postmaster/subprocess.c
index 1c91c5f0c3..e127236513 100644
--- a/src/backend/postmaster/subprocess.c
+++ b/src/backend/postmaster/subprocess.c
@@ -11,18 +11,19 @@
  *-------------------------------------------------------------------------
  */
 #include "postgres.h"
-#include "postmaster/subprocess.h"
 #include "bootstrap/bootstrap.h"
-#include "postmaster/bgwriter.h"
-#include "postmaster/walwriter.h"
-#include "postmaster/syslogger.h"
+#include "pgstat.h"
 #include "postmaster/autovacuum.h"
-#include "postmaster/bgworker_internals.h"
 #include "postmaster/bgworker.h"
+#include "postmaster/bgworker_internals.h"
+#include "postmaster/bgwriter.h"
 #include "postmaster/postmaster.h"
 #include "postmaster/startup.h"
-#include "pgstat.h"
+#include "postmaster/subprocess.h"
+#include "postmaster/syslogger.h"
+#include "postmaster/walwriter.h"
 #include "replication/walreceiver.h"
+#include "storage/ipc.h"
 
 PgSubprocess	*MySubprocess;
 
-- 
2.21.0

